<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Course List</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css"
        integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/owl-carousel/1.3.3/owl.carousel.min.css">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@100&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/owl-carousel/1.3.3/owl.theme.min.css">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
    <link rel="stylesheet" href="/css/style.css">
    <link rel="stylesheet" href="/css/cssClass/class.css">

</head>

<body>
    <!-- navbar -->
    <%- include('../partials/navbar') %>
    <!-- end navbar -->

    <!-- banner -->
    <div class="jumbotron"></div>
    <!-- end banner -->

    <!-- map -->
    <section class="map">
        <div class="container">
            <h1>Temukan Kelas Memasak <br> Masakan dari seluruh Nusantara</h1>
            <img class="images" src="../img/map.jpg" alt="">
        </div>
    </section>
    <!-- end map -->

    <!-- search bar -->
    <div class="container">
        <div class="row justify-content-center">
            <div class="search-bar">
                <div class="input-group">
                    <div class="input-group-append">
                        <button class="btn btn-secondary" type="button">
                            <i class="fa fa-search"></i>
                        </button>
                    </div>
                    <input type="text" class="form-control" id="searchForm"
                        placeholder="Temukan kelasmu saat ini juga!"></input>
                </div>
            </div>
        </div>
    </div>
    <!-- end search bar -->

    <!-- kategori -->
    <div class="container">
        <div class="kategori">
            <div class="row justify-content-center">
                <div class="col-1">
                    <h4>Kategori:</h4>
                </div>
                <button class="btn btn-link red" role="button">Semua</button>
                <button class="btn btn-link" role="button" value='sumatera'>Sumatera</button>
                <button class="btn btn-link" role="button" value='jawa'>Jawa</button>
                <button class="btn btn-link" role="button" value='bali'>Bali</button>
            </div>
        </div>
    </div>
    <!-- end kategori -->

    <!-- konten -->

    <section class="card-all">
        <div class="container pt-5">
            <div class="row course-container">
                <% if(!courses.length){ %>
                <div class="d-flex justify-content-center align-items-center w-100">
                    <h3>Tidak ada kelas</h3>
                </div>
                <% } %>
            </div>
        </div>
        <section class="mentor-container">

        </section>
    </section>
    <!-- end konten -->

    <!-- Pilih class -->
    <section class="pilihClass">
        <div class="container pt-5">
            <div class="row">
                <div class="col-sm-5">
                    <img src="../img/ClassImg/Icon.png" alt="">
                </div>
                <div class="col-sm-7">
                    <h1><b>Jadilah Master Masakan <br> Indonesia!</b></h1>
                    <h3>Temukan kelas yang sesuai dengan minatmu. Kami bantu kamu menentukan kelas yang paling
                        ideal.
                    </h3>
                    <a href="" class="btn btn-danger">Hubungi Kami</a>
                </div>
            </div>
        </div>
    </section>
    <!-- end pilih class -->


    <%- include('../partials/footer') %>
    <!-- end footer -->
</body>

<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
    integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous">
</script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
    integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous">
</script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"
    integrity="sha384-+YQ4JLhjyBLPDQt//I+STsc9iw4uQqACwlvpslubQzn4u2UU2UFM80nGisd026JF" crossorigin="anonymous">
</script>
<script type="text/javascript" src="https://code.jquery.com/jquery-1.12.0.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/owl-carousel/1.3.3/owl.carousel.min.js">
</script>

<script>
    const data = `<%- JSON.stringify(courses) %>`

    const parsed = JSON.parse(data)

    const container = document.querySelector('.course-container');
    const buttons = document.querySelectorAll('.btn-link');
    const searchForm = document.querySelector('#searchForm');
    const mentorContainer = document.querySelector('.mentor-container');
    let value;

    parsed.forEach(data => {
        container.innerHTML += `
                <div class="col-sm-6">
                    <a href="/courses/course-detail/${data.id}" style='text-decoration:none'>
                        <div class="card">
                            <img src="${data.previewUrl}" class="card-img-top" alt="">
                            <div class="row">
                                <div class="card-body col-sm-6">
                                    <h5 class="card-title">${data.title} </h5>
                                </div>
                                <div class="card-body col-sm-6 text-right">
                                    <p class="card-paid">Rp. ${data.price} </p>
                                    <p class="card-text">Level: ${data.level} <br> Durasi: ${data.duration}
                                    </p>
                                </div>
                            </div>
                        </div>
                    </a>
                </div>
                `
    })

    buttons.forEach(button => {
        button.addEventListener("click", e => {
            buttons.forEach(button => {
                button.classList.remove('red')
            })
            value = e.target.value;
            e.target.classList.add('red');
            const filtered = parsed.filter(course => value ? course.region === value : true);
            if (filtered.length > 0) {
                container.innerHTML = '';
                mentorContainer.innerHTML = '';
                filtered.forEach(data => {
                    container.innerHTML += `
                <div class="col-sm-6">
                    <a href="/courses/course-detail/${data.id}" style='text-decoration:none'>
                        <div class="card">
                            <img src="${data.previewUrl}" class="card-img-top" alt="">
                            <div class="row">
                                <div class="card-body col-sm-6">
                                    <h5 class="card-title">${data.title} </h5>
                                </div>
                                <div class="card-body col-sm-6 text-right">
                                    <p class="card-paid">Rp. ${data.price} </p>
                                    <p class="card-text">Level: ${data.level} <br> Durasi: ${data.duration}
                                    </p>
                                </div>
                            </div>
                        </div>
                    </a>
                </div>
                `
                })
                if (value) {
                    const mentorData = parsed.filter(data => {
                        return data.Teacher.region === value
                    })


                    mentorContainer.innerHTML = `
                    <div class="container">
                        <div class="col-sm-12 text-center">
                            <h1 style="padding-top: 13px; font-size: 48px; font-family: 'Montserrat-bold', sans-serif;"><b>Mentor</b></h1>
                            <hr style="width: 190px; height: 6px; margin-top: 0px; border-top: 4px solid red;">
                        </div>
                        <div class="row mb-5">
                            <div class="col pt-5">
                                <img src="${mentorData[0].Teacher.imageUrl}" alt="">
                            </div>
                        <div class="col text-justify pt-5">
                            <h1><b>${mentorData[0].Teacher.name}</b></h1>
                            ${mentorData[0].Teacher.biography}
                    </div>
                </div>
            </div>
                    `
                }
            } else {
                mentorContainer.innerHTML = '';
                container.innerHTML = `
                <div class="d-flex justify-content-center align-items-center w-100">
                    <h3>Tidak ada kelas</h3>
                </div>
                `
            }
        })
    })

    searchForm.addEventListener('input', e => {
        container.innerHTML = '';
        e.preventDefault();
        const filtered = parsed.filter(data => {
            return data.title.toLowerCase().includes(e.target.value.toLowerCase())
        })
        if (filtered.length > 0) {
            filtered.forEach(data => {
                container.innerHTML += `
                <div class="col-sm-6">
                    <a href="">
                        <div class="card">
                            <img src="${data.previewUrl}" class="card-img-top" alt="">
                            <div class="row">
                                <div class="card-body col-sm-6">
                                    <h5 class="card-title">${data.title} </h5>
                                </div>
                                <div class="card-body col-sm-6 text-right">
                                    <p class="card-paid">Rp. ${data.price} </p>
                                    <p class="card-text">Level: ${data.level} <br> Durasi: ${data.duration}
                                    </p>
                                </div>
                            </div>
                        </div>
                    </a>
                </div>
                `
            })
        } else {
            container.innerHTML = `<h2>Tidak ada Courses</h2>`
        }
    })
</script>

</html>